## junit 3.8.2

=== debian/changelog ===
junit (3.8.2-9) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #873986)
  * Removed Michael Koch from the uploaders (Closes: #654041)
  * No longer attempt to install the javadoc jar
  * Moved the package to Git
  * Standards-Version updated to 4.1.1
  * Switch to debhelper level 10
  * Refreshed debian/copyright

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 25 Oct 2017 00:03:22 +0200

junit (3.8.2-8) unstable; urgency=low

  * Really upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 07 Aug 2011 18:49:22 +0200

junit (3.8.2-7) experimental; urgency=low

  * Upload to unstable.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * d/control: Only Recommends java runtimes
  * Switch to 3.0 (quilt) format.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 07 Aug 2011 18:19:01 +0200

junit (3.8.2-6) experimental; urgency=low

  * Update OSGi metadata:
    - merge with metadata found in the BND project for junit,
    - remove Bundle-Classpath: junit.jar as we don't create
      a wrapper jar containing junit.jar as in the Eclipse project.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sun, 12 Dec 2010 21:34:03 +0100

junit (3.8.2-5) experimental; urgency=low

  * d/control: 
     - Bump up Standards-Version to 3.9.1 - no changes
     - remove Build-Depends on cdbs
     - add version constraint on maven-repo-helper
  * d/rules: 
     - calculate DEB_UPSTREAM_VERSION and UPSTREAM_VERSION, remove cdbs import
     - use dh --with maven_repo_helper
  * junit.poms: add --has-package-version option
  * Deploy javadoc jar into the Maven repository 

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sat, 09 Oct 2010 21:38:25 +0200

junit (3.8.2-4) unstable; urgency=low

  * Add myself to Uploaders
  * Bump debhelper version to >= 7
    - Rework debian/rules to use dh
  * Bump Standards-Version to 3.8.3:
    - Rename debian/README.Debian-source to debian/README.source
  * Build-Depends on default-jdk instead of default-jdk-builddep
    because we don't build a native GCJ package.
  * Add Depends: ${misc:Depends}
  * Restore SwingUI UI:
    - Don't remplace swingui TestRunner by an awtui TestRunner as, now,
      free java runtime fully support Swing
    - Remove unneeded debian/TestRunner.java file
  * Add OSGi metadata to junit.jar (Closes: #558177)
  * Rewrite debian/copyright with DEP5-format

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 29 Nov 2009 01:03:35 +0100

junit (3.8.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 11:52:56 +0200

junit (3.8.2-2) experimental; urgency=low

  * Add Maven POM descriptor
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * debian/rules: added get-orig-pom target to run manually to download the
    latest Maven POM and add it to the debian directory.
  * Fix some Lintian warnings: bump Standards-Version to 3.8.1, 
    cannot fix Copyright warning as no information
    was found in the source code or the web site about the copyright owners,
    and adding ${misc:Depends} causes FTBSF.
  * Change section to java
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 16 Mar 2009 00:33:07 +0000

junit (3.8.2-1ubuntu2) intrepid; urgency=low

  * Compile java files with -target 1.4. LP: #264808.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 20 Oct 2008 14:25:15 +0200

junit (3.8.2-1ubuntu1) intrepid; urgency=low

  * (Build-)depend on default-jre/-jdk.
  * Don't build with -target 1.3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Jul 2008 15:32:08 +0000

junit (3.8.2-1) unstable; urgency=low

  [ Kumar Appaiah ]
  * Update the watch file. (Closes: #449640)
  * debian/control:
    + Add Homepage field.
    + Add Vcs-Svn and Vcs-Browser.
  * debian/orig-tar.sh
    + Ease repackaging the junit zip by automatically,
      removing class and jar files.
  * Explain repackaging.

  [ Michael Koch ]
  * New upstream release.
  * Put junit-doc into doc section.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 27 Dec 2007 22:57:50 +0100

junit (3.8.1.1-7) unstable; urgency=low

  * Build-Depends-Indep on java-gcj-compat-dev instead of kaffe.
  * Moved cdbs and debhelper to Build-Depends.
  * Updated Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Sat,  1 Jul 2006 15:01:02 +0000

junit (3.8.1.1-6) unstable; urgency=low

  * Removed explicit usage of jikes build compiler property
    for kaffe jikes -> ecj transition
  * Use kaffe's jar instead of fastjar - remove fastjar from build-deps

 -- Wolfgang Baer <WBaer@gmx.de>  Fri,  6 Jan 2006 19:38:06 +0100

junit (3.8.1.1-5) unstable; urgency=low

  * Converted to cdbs (closes: #311045)
  * Standards-Version 3.6.2 - removed /usr/doc link creation in postinst
  * Removed duplicated build dependencies which are implicit by kaffe
  * Removed postinst's which link to /usr/doc
  * Removed link into /usr/share/ant1.6/lib due to ant transition
  * Added Enhances: ant-optional
  * Added myself to uploaders

 -- Wolfgang Baer <WBaer@gmx.de>  Mon, 26 Sep 2005 20:33:40 +0200

junit (3.8.1.1-4) unstable; urgency=low

  * Build with -target 1.3 (Closes: #270662)
  * Added symlinks for junit.jar from $ANT_HOME/lib directories
    (Closes: #292271)
  * debian/junit-doc.docs: Added 'doc' directory  and 'cpl-v10.html'
    (Closes: #267995)
  * Introduced debian/compat with compat level 4
  * Cleaned up debian/rules
  * Added debian/watch

 -- Michael Koch <konqueror@gmx.de>  Wed, 13 Apr 2005 21:05:02 +0000

junit (3.8.1.1-3) unstable; urgency=low

  * Build-Depend on gjdoc >= 0.7.2-2 (Closes: #297664)
  * Fixed junit manpage
  * Updated Standards-Version to 3.6.1 (no changes needed)
  * Added myself to Uploaders

 -- Michael Koch <konqueror@gmx.de>  Mon, 14 Mar 2005 16:14:33 +0000

junit (3.8.1.1-2) unstable; urgency=low


