=== debian/control ===
Source: junit
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Wolfgang Baer <WBaer@gmx.de>,
 Damien Raude-Morvan <drazzib@debian.org>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 maven-repo-helper (>= 1.5)
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-java/junit.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/junit.git
Homepage: http://www.junit.org

Package: junit
Architecture: all
Depends: ${misc:Depends}
Recommends: default-jre-headless (>= 1:1.7) | java7-runtime-headless
Suggests: junit-doc
Enhances: ant-optional
Description: Automated testing framework for Java
 JUnit is a simple framework for writing and running automated tests.
 As a political gesture, it celebrates programmers testing their own
 software.

Package: junit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: junit
Description: Document for JUnit
 This package provide documents and examples for JUnit which is a simple
 framework for writing and running automated tests.
