=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME	:= /usr/lib/jvm/default-java

JAVAC 		= $(JAVA_HOME)/bin/javac
JAR		= $(JAVA_HOME)/bin/jar
CLASSPATH 	= .
JAVADOC		= $(JAVA_HOME)/bin/javadoc
JARNAME		= junit.jar

DEB_UPSTREAM_VERSION := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 | cut -d- -f1)
UPSTREAM_VERSION     := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 | cut -d- -f1 | cut -d~ -f2)

%:
	dh $@ --with maven_repo_helper

override_dh_auto_configure:
	(mkdir src; cd src; ${JAR} xvf ../src.jar)

override_dh_auto_build:
	mkdir -p classes
	(cd src;${JAVAC} -source 1.7 -target 1.7 -classpath ${CLASSPATH} -d ../classes junit/*/*.java)
	cp -r src/junit/swingui/icons classes/junit/swingui
	cp src/junit/runner/*.gif classes/junit/runner
	cp src/junit/runner/excluded.properties classes/junit/runner
	(${JAR} cvmf debian/MANIFEST.MF ${JARNAME} -C classes junit)
	mkdir -p doc/api
	(cd src;${JAVADOC} -d ../doc/api junit.framework junit.awtui junit.swingui junit.runner junit.textui junit.extensions)

override_dh_install:
	-rm -f javadoc/package-list
	install -m 755 debian/junit.sh debian/junit/usr/bin/junit

override_dh_clean:
	dh_clean
	-rm -rf classes doc ${JARNAME}
	-rm -f `find . -name "*~"`
	-rm -rf src
	-rm -rf debian/tmp

get-orig-pom:
	wget -O debian/pom.xml http://repository.sonatype.org/service/local/repositories/central/content/junit/junit/${UPSTREAM_VERSION}/junit-${UPSTREAM_VERSION}.pom

get-orig-source:
	-uscan --download-version ${DEB_UPSTREAM_VERSION} --force-download --rename
