=== debian/watch ===
version=3
http://sf.net/junit/junit(3\.[\d\.]*)\.zip debian debian/orig-tar.sh
